Bug 72938 - Use more macrology in JSC::Options
Summary: Use more macrology in JSC::Options
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 72889
Blocks: 74498
  Show dependency treegraph
 
Reported: 2011-11-22 04:14 PST by Andy Wingo
Modified: 2011-12-18 03:41 PST (History)
3 users (show)

See Also:


Attachments
Patch (11.75 KB, patch)
2011-11-22 04:17 PST, Andy Wingo
no flags Details | Formatted Diff | Diff
Patch (11.75 KB, patch)
2011-11-22 04:26 PST, Andy Wingo
no flags Details | Formatted Diff | Diff
Patch (10.11 KB, patch)
2011-11-29 09:10 PST, Andy Wingo
no flags Details | Formatted Diff | Diff
Patch (10.16 KB, patch)
2011-11-29 09:50 PST, Andy Wingo
no flags Details | Formatted Diff | Diff
Patch (10.56 KB, patch)
2011-12-12 03:19 PST, Andy Wingo
no flags Details | Formatted Diff | Diff
Patch (10.94 KB, patch)
2011-12-15 06:23 PST, Andy Wingo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Wingo 2011-11-22 04:14:35 PST
Use more macrology in JSC::Options
Comment 1 Andy Wingo 2011-11-22 04:17:44 PST
Created attachment 116200 [details]
Patch
Comment 2 Andy Wingo 2011-11-22 04:21:59 PST
Of course, I look over the patch 10 times, but only notice a error after uploading.  Pushing a fix shortly.
Comment 3 Andy Wingo 2011-11-22 04:26:38 PST
Created attachment 116201 [details]
Patch
Comment 4 Filip Pizlo 2011-11-22 13:39:53 PST
Ahhh, this looks good.  I'll r+ once the other patch lands and we can see that the bots are happy.
Comment 5 Andy Wingo 2011-11-29 09:10:09 PST
Created attachment 116980 [details]
Patch
Comment 6 Andy Wingo 2011-11-29 09:50:02 PST
Created attachment 116987 [details]
Patch
Comment 7 Andy Wingo 2011-12-12 03:19:22 PST
Created attachment 118762 [details]
Patch
Comment 8 Andy Wingo 2011-12-15 06:23:53 PST
Created attachment 119418 [details]
Patch
Comment 9 Andy Wingo 2011-12-15 06:24:33 PST
Comment on attachment 119418 [details]
Patch

Same patch, resubmitted to give EWS a crack at it
Comment 10 WebKit Review Bot 2011-12-15 13:29:52 PST
Comment on attachment 119418 [details]
Patch

Clearing flags on attachment: 119418

Committed r102978: <http://trac.webkit.org/changeset/102978>
Comment 11 WebKit Review Bot 2011-12-15 13:29:57 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Filip Pizlo 2011-12-18 00:51:52 PST
This was a bad idea. Now if I want to change one of the options, I have to wait for the whole world to rebuild.
Comment 13 Andy Wingo 2011-12-18 03:41:06 PST
(In reply to comment #12)
> This was a bad idea. Now if I want to change one of the options, I have to wait for the whole world to rebuild.

Ah, bummer.

OTOH with the command-line patch from 74498, you can do so at runtime.  Doesn't solve this issue, though.